Version 3.0.2

	New ponies: brucemane, cremebrulee, deepblue, hairytipper, mantishy,
		    mule, peachbottom, rainbowdashcrystal, rainbowdrop,
		    strawberrycream, unclewing, wildflower

	New extraponies: firefox, fluffle, IE, milky

	Default value for -W has been changed from 40 to 60.

	Added manpage for ponysay-tool

Version 3.0.1

	New ponies: harshwhinny

	All ponies has been reviewed and improved when needed.

	The ponysay-tool command is now installed.


Version 3.0

	New ponies: applesplit, amira, babseed, bear, beautybrass, bigmacsleep,
		    billneigh, cadancecrystal, cadancescruffy, cloudchaser,
		    descent, featherweight, fiddlesticks, flitter, gingersnap,
		    haakim, hayseed, lighningdust, jubileena, midnightstrike,
		    mrbreezy, orangebird, orangefrog, pansyshy, pinkiecrazyface,
		    poundcake, princesserroria, raccoon, rainbowblitz,
		    rarityelite, ravenearth, ravenunicorn, royalunicornguard,
		    rumble, shiningarmorcrystal, sombra, spikecrystal,
		    squirrel, sweetcream (comic), trixieamulet, twilacorn,
		    twilightcrystal, twilightfly, twilightprincess,
		    twilightwings, twinkleshine

	New extraponies: donutpony, gleamingshield, hestelle, johndelancie,
			 jristz, maandree, orion,
			 pipsqueak (without pirate suit), paradise, pizzapony,
			 snowdrop, tempo, ticket

	Ponies renamed: lotusbloosom → lotusblossom (typo)
	                maredowellgallop → maredowellgallop (need a master)
	                ironwillwalk →  ironwillwalk (need a master)
			shadowbolts → nightingale (shadowbolts split)
			lily → lilyvalley (official name)
			sweatiesing → sweetiesing (name consistency)
			carecake become carrotcake (official name)
			peppermoon → papermoon (miswriting)
			maria into danger (given by the author)
			meliot → melilot (miswriting)

	Pony symlink added: lily → lilyvalley
			sweetiedrops → bonbon
			carecake → carrotcake
			berrydreams → blueberry
			raven → ravenunicorn (need a version named as master)

	fillycelestia and filliestia has been moved to extraponies.

	Renamed option -F to +f and option --F to ++f, -F and --F has new
	definitions.

	Environment variable 'PONYSAY_TYPO_LIMIT' has been added.

	Environment variable 'PONYSAY_WRAP_HYPHEN' has been added.

	Environment variable 'PONYSAY_WRAP_LIMIT' has been added.

	Environment variable 'PONYSAY_WRAP_EXCEED' has been added.

	Added support for ~/.ponysayrc with the alternatives:
	${XDG_CONFIG_HOME}/ponysay/ponysayrc
	and ~/.config/ponysay/ponysayrc as well as the global fallback
	/etc/ponysayrc.

	-f, +f and -q may be unargumented if that are at the end of
	the command line.

	ponysay-tool is introduced, it can be used to edit, remove and
	copy pony meta data, and more.

	ponysay-tool --kms generates all kmsponies for the current TTY palette.

	Pony metadata tags BALLOON TOP and BALLOON BOTTOM can be used to
	specify how much extra height the balloon causes at the top and at
	the bottom of the pony.

	${XDG_DATA_HOME}/ponysay/* is allowed in favour of
	${HOME}/.local/share/ponysay/*

	Balloons can be have and explicit minimum column span with placement
	justification.

	Only ponies that fit the terminal will be randomly selected
	(for directory with pony dimension files generated), however if no
	pony fits, any of the can be randomly selected.

	Setup option --sysconf-dir with default value /etc added.

	New manditory setup option --freedom.

	Pony metadata options added: --info, ++info and --restrict.

	The license has been changed to the
	GNU General Public License version 3+, WTFPL 2.


Version 2.9.1

	Bug fix: correction in the -W option broke the -o option.


Version 2.9

	New ponies: pinkieumbrelahatfear, twilighttime

	New extraponies: molestia (Tumblr)

	The option -q works like -f and -F, it takes one argument,
	and may be used multiple times for more arguments.

	The old option -q is renamed to --q.

	The options --f and --F has been added.

	Weighted distance for autocorrection on pony names and boolean style
	name is set to 5, rather than unlimited. Currently this cannot be
	modified (without editing the source code.)

	If file descriptor 3 is definied when ponysay is executed, extra
	information is printed to it.

	Arguments starting with n or i is allowed for -W.


Version 2.8

	New ponies: airheart, bastionyorsets, gustavelegrand, milkyway,
		    peppermoon, pinkacopter, pinkiefly, pinkieparade,
		    pinkieumbrellahat, raritycomplaining, shiningarmorwedding,
		    soarinofficer, starlight, sunnyrays, sweatiesing,
		    tenderheart, tom, twilightspike, zecorabalance

	New extraponies: applejack (Tumblr), applejack-63, artemis, blueberry,
			 butterscotch, drhoovesdiscorded (Tumblr), duskshine,
			 elusive, rainbowblitz

	Pony symlink added: georgewachingtony → bastionyorsets

	Support for explicit hypthenation using soft hyphens had been added
	to the word wrapper.

	Support for explicit non-word wrapping using non-breaking space had
	been added to the word wrapper.

	The word wrapper colours the inserted hyphens in red.

	Support for terminal capabilities emulation with the
	flags -X, -V and -K.

	Support for printing just the pony, using the flag -o.

	Colouring option flags are added.

	Automatic correction of incorrectly spelled pony names and balloon
	style names added.


Version 2.7

	New ponies: basil, cloudkicker, cerberus, cow, derpysad, flowertrio,
		    frederickhorseshoepin, horsemd, jeffletroski, jesuspezuna,
		    joe, joetuxedo, manticore, meadowsong, meliot,
		    pinkiegummydisguise, seaswirl, theodoredonaldkerabatsos,
		    turf, waltercoltchak

	New extraponies: blueballblitz (Various fanfics, Shadowbolt),
			 drhooves1, drhooves2, drhooves3, drhooves4, drhooves5,
			 drhooves6, drhooves7, drhooves8, drhooves9, drhooves10,
			 drhooves11, nyx (Fanfic: Past Sins),
			 nyxdisguised (Fanfic: Past Sins),
			 pinkaminacupcake (Fanfic)

	Pony renamed: cracky → crackle


Version 2.6

	New ponies: applebloomdance, blueberry, blueberrycake, blueharvest,
		    candylicious, cherrycola, cracky, cutiemarkcrusaders,
		    derpybags, derpycloud, firestreak, hughjelly, lemonhearts,
		    lyrabonbon, noi, pictureperfect, pigpen, poppycock,
		    quickfix, rainbowhurricane, rainboshadowbolt, silverspeed,
	            surprise (wonderbolt), thunderlane, timeturner,
	            twilightthebearded

	New extraponies: faust (alicorn), maria (Moonstuck, seapony),
			 posey (Tumblr), slanderpony (Various tumblr),
			 sparkler (Tumblr), twilight (Tumblr)

	Pony symlink added: bonbonlyra → lyrabonbon
	                    clockwork → quickfix
			    drhooves → timeturner
			    epona → quickfix
			    lotusbloosom → lotus

	doctor and doctornohat has become extraponies, because their mane style
	is different from in the TV show. And timeturner no longer links to
	any of them.

	./configure and make is no longer support.


Version 2.5.1

	New extra ponies: sealyra

	Build system as compatibility with standard GNU Make build system.


Version 2.5

	Brand new highly configurable build system.

	UTF-8 as I/O encoding is enforced. (Critical bug fix for ASCII locale
	users.)


Version 2.4

	Nothing worth mentioning.

	Note: Identifies itself as version 2.3


Version 2.3

	Support for 'best.pony' file.

	`-q` accepts file names.

	Improved Unicode support: treats combining characters as invisible.

	Optional support for UCS pony names.

	Pony files and balloon style files can be pipes (as
	well as sockets, doors and as always regular files.)

	Support cowsay style message compression.

	New ponies: blaze

	New extraponies: fyrefly (Tumblr), surprise (Tumblr), woona (Moonstuck),
	                 woonanohat (Moonstuck)

	Pony symlink added: pinkieoink → oinkoinkoink

	Support for non-MLP:FiM ponies (known as extraponies).


Version 2.2

	Full support for arbitrary positioning of balloon in pony files.

	ANSI colour sequences in pony files are	applied	only to	the pony image,
	not the	balloon	link or	the balloon itself.

	Support for colours in the message.

	Support	custom balloon styles using the	option '-b', '-B' will list all
	available. This list depends on whether you are invoking `ponysay` or
	`ponythink`.


Version 2.1.1

	Nothing worth mentioning.


Version 2.1

	Pony renamed: applebumkin → applebumpkin

	New ponies: purplehaze, owlowiscious

	Cowsay has be reimplemented, and have full Unicode support
	and support for @code{figlet} style messages.

	Deleted environment variables: PONYSAY_COWSAY, PONYSAY_COWTHINK

	You will need Python 3, but not GNU Bash, Perl or Cowsay.

	New .pony file format is used.


Version 2.0

	Makefile is generated by running `./configure`.

	All Perl scripts and almost all Bash are reimplemented in one
	Python 3 script.

	kmsponies4ponysay is included.


Version 1.4.1

	Code is repaired and more portable.


Version 1.4

	Make file is improved.

	Note: Identifies itself as version 1.3


Version 1.3

	New ponies: forestspirit, hollydash, raggedy, rhyme

	Pony renamed: sindy → powderrouge

	Pony symlink added: sindy → powderrouge

	PREFIX=/some-dir can be used when invoking make,
	the default value is /usr


Version 1.2

	ponyquotes4ponysay is included.

	Support for extension: kmsponies4ponysay.

	New ponies: ace, filthyrich, blueblood, gingergold, hayfever,
	            highscore, junebug, mrsparkle, persnickety, ponet,
		    screwloose, tornadobolt.

	Pony renamed: elsie → prettyvision

	Pony symlinks added: mrsparkle → nightlight
			     elsie → prettyvision

	Arbitrary spaces in '-f' argument is not longer accepted (it causes
	problems with file names including spaces).

	Note: Identifies itself as version 1.1


Version 1.1

	Manpages are compressed before installation.

	'info manual' added.

	Shell completion for 'ponythink' added, in addition to 'ponysay'.

	'fish' completion added.

	'/usr/lib/ponysay' is used instead of '/usr/bin'
	for code used by the main script.

	'~/.local/share/ponysay is used for private pony directories.

	'ncurses' is no longer needed for determining the screen's size,
	'coreutils' is used instead.

	Pony symlinks added: amethyststar → sparkler
	                     berrypinch → ruby
	                     craftycrate → boxxy
	                     magnum → raritysdad
	                     pearl → raritysmom
	                     powderrouge → sindy
	                     royalribbo → violet

	New ponies: blossomforth, bonvoyage, cadance, celestiasmall,
	            changelingqueen, cherryberry, discordamused,
	            discordpuppetmaster, fleurdelishair, fleurdelislay, owl,
	            perrypierce, petunia, pinacolada, skyra, truffleshuffle.

	Pony spelling removed: fillycadence.

	Pony symlink change: perry → (pokey → perrypierce).

	Option '-L' added, lists ponies with symlink mapping.

	Support for extension: ponyquotes4ponysay.

	Accepts arbitrary spaces in '-f' argument.


Version 1.0

	Spanish translation of the manpage is added.

	New ponies: applecore, applejackscarecrow, bonbonstand, changeling,
	            chrysalis, cottoncloudy, diamondmint, discord,
	            fillycadence, flam, fleurdelis, flim, fluttershyshy,
	            fluttershystare, lyrasit, oinkoinkoink (is pinkie),
                    philomenaphoenix, pinkiecannon, pinkiecannonfront,
                    pinkiecannonhappy, pinkiegummy, pinkiehugfluttershy,
                    pinkiehugsfluttershy, pinkiepartycannon, pinkieprincess,
                    pinkiesilly, pinkietongue, pinkiewhoops, pinkiewhoopseat,
                    pinkiewhoopsout, rainbowdrag, rainbowsalute, rainbowshine,
                    raritydrama, shiningarmor, shiningarmorguard, snowflak,
                    spikemustache, stevenmagnet, stevenmagnettrue,
                    twilightcrazyfromball, twilightrage, twilightzero,
	            wildfire.

	Pony symlinks added: djpon-3 → vinyl
	                     fillycadance → fillycadence
                             horsepower → snowflake

	Improved TTY support: ponies have low colours resolution, instead
	of monochrome, when the high colour resolution is not available.


Version 0.10

	Manpage manual added.

	The directories for pony directories are changed
	from '/usr/share' to '/usr/share/ponysay' and '~' to '~/.ponysay'.

	Pony symlinks added: carrottop → carrot
	                     goldenharvest → carrot
	                     harpass → lyra
	                     heartstrings → lyra
	                     lulamoon → trixie
	                     minuette → colgate
	                     noteworthy → blues
	                     perry → pokey
	                     pokeypierce → pokey
	                     timeturner → doctornohat
	                     trixielulamoon → trixie
	                     twilightvelvet → mrssparkle

	Support for truncating output on height, enabled by default under TTY.

	Environment variables added: 'PONYSAY_FULL_WIDTH',
	'PONYSAY_SHELL_LINES', 'PONYSAY_TRUNCATE_HEIGHT', 'PONYSAY_BOTTOM'.


Version 0.9

	Output truncated on width to fit screen.

	Support for TTY (Linux VT).

	'bash' completion added.

	'zsh' completion added.

	New ponies: allie, archer, boxxy, carecake, cupcake, daringdo,
	            davenport, fancypants, ironwillwalk, lily, lunafly,
	            maredowellfly, maredowellgallop, master, mjolna, orange,
	            raritysdad, raritysmom, royalnightguard, ruby, sparkler,
	            violet.


Version 0.8

	New ponies: aloe, angle, applebloom, applebumkin, applefritter,
		    berrypunch, bigmac, blinkie, blues, braeburn, caesar,
                    candymane, caramel, cheerilee, cheerilee80, clyde, colgate,
                    colton, daisy, derpystand, derpystandwing, diamondtiara,
                    dinky, doctornohat, elsie, fido, fillycelestia, fillydash,
                    fillydashfly, fillyjack, fillyjacktravel, fillypinkie,
                    fillypinkiecurly, fillyrarity, fillyshy, fluttershygala,
                    gilda, gildastand, granny, grannychair, grannysleep, gummy,
                    hoity, horte, inky, laflour, lightning, lintsalot, lotus,
                    mayor, mrssparkle, nightmare, opal, parasprite, philomena,
                    photofinish, pinkamina, pinkiebounce, pinkiechicken,
	            pinkiegala, pipsqueak, pokey, rainbowfly, rainbowgala,
	            rainbowsleep, raindrops, rarityfly, raritygala, 
	            rarityponder, redheart, rocky, rose, rover, royalguard,
	            sapphire, scootaloo, screwball, shadowbolts, silverspoon,
	            silverstar, sindy, snails, snips, soarin, soigne, spike,
	            spikefloat, spikelove, spot, stella, strongheart, sue,
                    suedance, tank, trixiestage, trixiestand, turnip, twist,
	            winona.

	Note: Identifies itself as version 0.7


Version 0.7

	New ponies: carrot, octavia, trixie, vinyl, zecora.

	Support for listing ponies with '-l' option.


Version 0.6

	New ponies: bonbon, celestia, doctor, fillistia (filly Celestia),
	            spitfire, woona (not moonstuck, filly Luna).

	Dropping usage of utility 'which', using 'hash' instead.

	Note: Identifies itself as version 0.5


Version 0.5

	Using utility 'which' to determine existance of 'cowsay'.


Version 0.4

	'.cow' files are removed.

	Support for '-W' option.

	Select random pony if not specified.

	Added command '-f' for supports file names, and not only pony names.


Version 0.3

	Fixed use of '.pony' files.


Version 0.2

	Pony files end with '.pony' instead of '.cow'.

	lyrasleep is renamed to lyra.

	'.cow' files are kept but not used.

	Added option '-h' prints proper help.


Version 0.1

	First release.

	Includes the ponies: applejack, derpy, derpysit, fluttershy, luna,
			     lyrasleep, pinkie, rainbow, rarity, sweetie,
			     twilight.
